## org.codehaus.groovy.grails.support
Class MockApplicationContext.MockResource

    java.lang.Object
      org.springframework.core.io.AbstractResource
          org.codehaus.groovy.grails.support.MockApplicationContext.MockResource

All Implemented Interfaces:
  InputStreamSource, Resource

Enclosing class:
  MockApplicationContext

    public class MockApplicationContext.MockResource

extends AbstractResource

Constructor Summary
`MockApplicationContext.MockResource(String location)`
`MockApplicationContext.MockResource(String location, String contents)`

Method Summary
`boolean` `exists()`
`String` `getDescription()`
`InputStream` `getInputStream()`

Methods inherited from class org.springframework.core.io.AbstractResource
`createRelative, equals, getFile, getFileForLastModifiedCheck, getFilename, getURI, getURL, hashCode, isOpen, isReadable, lastModified, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MockApplicationContext.MockResource

    public MockApplicationContext.MockResource(String location)

### MockApplicationContext.MockResource

    public MockApplicationContext.MockResource(String location,
                                               String contents)

Method Detail

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `Resource`
  Overrides:
    `exists` in class `AbstractResource`

### getDescription

    public String getDescription()

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

Copyright (c) 2005-2009 The Grails project